BackgroundVideoPresentationControl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Interface BackgroundVideoPresentationControl

All Superinterfaces:
  Control, VideoPresentationControl

    public interface BackgroundVideoPresentationControl

extends VideoPresentationControl

A control to support the setting and querying of the video presentation for background players.

Field Summary

Fields inherited from interface org.dvb.media.VideoPresentationControl
`POS_CAP_FULL, POS_CAP_FULL_EVEN_LINES, POS_CAP_FULL_EVEN_LINES_IF_ENTIRE_VIDEO_ON_SCREEN, POS_CAP_FULL_IF_ENTIRE_VIDEO_ON_SCREEN, POS_CAP_OTHER`

Method Summary
`VideoTransformation` | `getClosestMatch(VideoTransformation t)` This method takes a video transformation and returns the closest match of that video transformation that can be supported for the currently selected video.
`VideoTransformation` | `getVideoTransformation()` Return the current video transformation
`boolean` | `setVideoTransformation(VideoTransformation t)` Sets a new video transformation (clipping/scaling/positioning).

Methods inherited from interface org.dvb.media.VideoPresentationControl
`getActiveVideoArea, getActiveVideoAreaOnScreen, getClipRegion, getHorizontalScalingFactors, getInputVideoSize, getPositioningCapability, getTotalVideoArea, getTotalVideoAreaOnScreen, getVerticalScalingFactors, getVideoSize, setClipRegion, supportsArbitraryHorizontalScaling, supportsArbitraryVerticalScaling, supportsClipping`

Methods inherited from interface javax.media.Control
`getControlComponent`

Method Detail

### setVideoTransformation

    boolean setVideoTransformation(VideoTransformation t)

  Sets a new video transformation (clipping/scaling/positioning). If the new video transformation is not supported, then the video transformation will not be changed at all (no best effort attempt is made).

  Parameters:
    `t` - the new video transformation
  Returns:
    true if the video transformation is supported and has been set, false otherwise.

### getVideoTransformation

    VideoTransformation getVideoTransformation()

  Return the current video transformation

  Returns:
    the video transformation (clipping/scaling/positioning) that is currently used for displaying the video.

### getClosestMatch

    VideoTransformation getClosestMatch(VideoTransformation t)

  This method takes a video transformation and returns the closest match of that video transformation that can be supported for the currently selected video. If the input video transformation can be supported, then the output video transformation will have the same parameters as the input video transformation. The definition of 'closest match' is implementation dependent.

  Parameters:
    `t` - the input video transformation
  Returns:
    the closest match to the input video transformation. If the input video transformation is supported, then the input video transformation will be returned (the same instance), otherwise a newly created instance will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD